<div class="basic-page">
  <h2>{{'Economic.Market.TitleExchange' | translate }}</h2>
  <nz-spin nzTip="Loading..." [nzSpinning]="isLoading[0]">
    <div class="exchangeView filler-bottom">
      <div nz-row ngClass="padded" nzType="flex" nzAlign="middle" nzJustify="space-between">
        <div nz-col nzXs="24" nzSm="10">
          <strong>
            {{'Economic.Market.Buy' | translate }}
          </strong>
          <span *ngIf="buyCurrencyId > 0" style="float: right;">
            {{'Economic.Market.Balance' | translate }}: {{buyBalance}} {{buyCurrency.currencyName}}
          </span>
          <nz-select style="width: 100%;" nzAllowClear nzPlaceHolder="Select country" nzShowSearch
            [nzCustomTemplate]="custom" [(ngModel)]="buyCurrencyId" (ngModelChange)="buyCurrencySelected($event)">
            <nz-option *ngFor="let item of countries" nzCustomContent nzLabel="{{item.name}}"
              [nzValue]="item.currencyId" nzDisabled="{{item.currencyId == sellCurrencyId ? true : false}}">
              <img src="{{hostUrl}}/{{item.flagLocation[0]}}" />
              {{item.name}}
            </nz-option>
          </nz-select>
          <ng-template #custom>
            <span>
              <img src="{{hostUrl}}/{{buyCurrency.flagLocation[0]}}" /> {{buyCurrency.name}}
            </span>
          </ng-template>
        </div>
        <div nz-col nzXs="24" nzSm="4" style="text-align: center;">
          <a (click)="switchCurrencies()" style="display: block; margin-top: 10px;">
            <img src="{{hostUrl}}/assets/img/misc/exchange.svg">
          </a>
        </div>
        <div nz-col nzXs="24" nzSm="10">
          <strong>
            {{'Economic.Company.Sell' | translate }}
          </strong>
          <span *ngIf="sellCurrencyId > 0" style="float: right;">
            {{'Economic.Market.Balance' | translate }}:
            {{sellBalance}} {{sellCurrency.currencyName}}
          </span>
          <nz-select style="width: 100%;" nzAllowClear nzPlaceHolder="Select country" nzShowSearch
            [nzCustomTemplate]="custom2" [(ngModel)]="sellCurrencyId" (ngModelChange)="sellCurrencySelected($event)">
            <nz-option *ngFor="let item of countries" nzCustomContent nzLabel="{{item.name}}"
              nzDisabled="{{item.currencyId == buyCurrencyId ? true : false}}" [nzValue]="item.currencyId">
              <img src="{{hostUrl}}/{{item.flagLocation[0]}}" />
              {{item.name}}
            </nz-option>
          </nz-select>
          <ng-template #custom2>
            <span>
              <img src="{{hostUrl}}/{{sellCurrency.flagLocation[0]}}" /> {{sellCurrency.name}}
            </span>
          </ng-template>
        </div>
      </div>
    </div>
  </nz-spin>
  <nz-spin nzTip="Loading..." [nzSpinning]="isLoading[1]">
    <nz-tabset [nzTabPosition]="'top'" [nzType]="'card'">
      <nz-tab [nzTitle]="titleTemplate2">
        <ng-template #titleTemplate2>
          <i class="fas fa-receipt"></i>
          {{ 'Economic.Market.YourOffers' | translate }}
        </ng-template>
        <div style="text-align: left; display: block; overflow: hidden;">
          <nz-alert *ngIf="myOffers.length === 0" nzType="info" nzMessage="No offers!" nzShowIcon></nz-alert>
        </div>
        <div>
          <table *ngIf="myOffers.length > 0" class="tableColor" style="width: 100%">
            <thead>
              <tr>
                <th>{{'Economic.Market.PlaceholderAmount' | translate }}</th>
                <th>{{'Economic.Market.Price' | translate }}</th>
                <th></th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let offer of myOffers">
                <td>{{ offer.amount }} {{offer.sell.currencyName}}</td>
                <td>
                  <span>
                    <em>1</em>
                    <em>{{offer.sell.currencyName}}</em>
                    <img src="{{hostUrl}}/{{offer.sell.flagLocation[0]}}">
                    <em>=</em>
                    <em>{{offer.rate}}</em>
                    <em>{{offer.buy.currencyName}}</em>
                    <img src="{{hostUrl}}/{{offer.buy.flagLocation[0]}}">
                  </span>
                </td>
                <td>
                  <button nz-button nzType="danger" (click)="removeOffer(offer.id)">
                    Remove
                  </button>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </nz-tab>
      <nz-tab [nzTitle]="titleTemplate" *ngIf="sellCurrencyId > 0 && buyCurrencyId > 0">
        <ng-template #titleTemplate> <i class="fas fa-plus"></i> {{ 'Economic.Market.ButtonAddOffer' | translate }}
        </ng-template>
        <div nz-row ngClass="listitem header" nzType="flex" nzAlign="middle" nzJustify="space-between">
          <div ngClass="first" nz-col nzXs="24" nzSm="8" nzMd="8">
            {{'Economic.Market.ExchangeStep1' | translate }}
          </div>
          <div style="padding-left: 15px;" nz-col nzXs="24" nzSm="10" nzMd="8">
            {{'Economic.Market.ExchangeStep2' | translate }}
          </div>
          <div nz-col nzXs="24" nzSm="4" nzMd="4">
          </div>
        </div>
        <div style="padding-top: 15px;" nz-row nzType="flex" nzAlign="middle" nzJustify="space-between">
          <div nz-col nzXs="24" nzSm="8" nzMd="8">
            <nz-input-group [nzSuffix]="currencyInfoBuy">
              <input [(ngModel)]="newOffer.amount" type="text" nz-input placeholder="Amount" />
            </nz-input-group>
            <ng-template #currencyInfoBuy>
              {{buyCurrency.currencyName}}
              &nbsp;<img src="{{hostUrl}}/{{buyCurrency.flagLocation[0]}}">
            </ng-template>
          </div>
          <div nz-col nzXs="24" nzSm="10" nzMd="8">
            <nz-input-group [nzPrefix]="conversionAmount" [nzSuffix]="currencyInfoSell">
              <input style="padding-left: 100px;" [(ngModel)]="newOffer.rate" type="text" nz-input placeholder="Rate" />
            </nz-input-group>
            <ng-template #conversionAmount>
              1 {{buyCurrency.currencyName}}
              &nbsp;<img src="{{hostUrl}}/{{buyCurrency.flagLocation[0]}}">
              &nbsp;=&nbsp;
            </ng-template>
            <ng-template #currencyInfoSell>
              {{sellCurrency.currencyName}}&nbsp;
              <img src="{{hostUrl}}/{{sellCurrency.flagLocation[0]}}">
            </ng-template>
          </div>
          <div nz-col nzXs="24" nzSm="4" nzMd="4">
            <button nz-button nzBlock nzType="green" (click)="addOffer()">Add</button>
          </div>
        </div>
      </nz-tab>
      <nz-tab [nzTitle]="titleTemplate3" nzDisabled="true">
        <ng-template #titleTemplate3> <i nz-icon [nzType]="apple"></i>Logs (Coming soon) </ng-template>
      </nz-tab>
    </nz-tabset>
  </nz-spin>
  <div style="height: 15px;"></div>
</div>
<div class="basic-page">
  <h2>{{'Economic.Market.OtherOffers' | translate }}</h2>
  <nz-spin nzTip="Loading..." [nzSpinning]="isLoading[0]">
    <div *ngIf="offers.length === 0">
      <div style="height: 15px;"></div>
      <nz-alert nzType="info" nzMessage="No offers!" nzShowIcon></nz-alert>
      <div style="height: 15px;"></div>
    </div>
    <div style="padding-top: 15px;" class="listitem-container alternative" *ngIf="offers.length > 0">
      <div nz-row ngClass="listitem header" nzType="flex" nzAlign="middle" nzJustify="space-between">
        <div ngClass="first" nz-col nzXs="0" nzSm="6">
        </div>
        <div ngClass="first" nz-col nzXs="14" nzSm="8">
          {{'Economic.Market.PlaceholderAmount' | translate }} / Rate
          <!-- <br />
          {{'Economic.Market.Price' | translate }}
           -->
        </div>
        <div nz-col nzXs="10" nzSm="10">
        </div>
        <div nz-col nzXs="6" nzSm="4">
        </div>
      </div>
      <div *ngFor="let offer of offers" nz-row nzType="flex" ngClass="listitem" nzAlign="middle"
        nzJustify="space-between">
        <div ngClass="first" nz-col nzXs="0" nzSm="6">
          <a nzBlock href="{{hostUrl}}/{{offer.entity.entityTypeName}}/{{offer.entity.entityId}}" target="_blank">
            <img class="avatar small" src="{{hostUrl}}/{{offer.entity.avatarLocation}}">
            <br />
            {{offer.entity.name}}
          </a>
        </div>
        <div ngClass="first" nz-col nzXs="14" nzSm="8">
          {{ offer.amount }} x
          <!-- {{offer.sell.currencyName}} -->
          <br />
          1
          <!-- {{offer.sell.currencyName}} -->
          <img src="{{hostUrl}}/{{offer.sell.flagLocation[0]}}">
          = {{offer.rate}}
          <!-- {{offer.buy.currencyName}} -->
          <img src="{{hostUrl}}/{{offer.buy.flagLocation[0]}}">
        </div>
        <div nz-col nzXs="4" nzSm="6">
          <nz-input-group [nzPrefix]="conversionAmount" [nzSuffix]="currencyBuy">
            <input nz-input [(ngModel)]="offer.amountToBuy" />
          </nz-input-group>
        </div>
        <div nz-col nzXs="6" nzSm="4">
          <button nz-button nzType="primary" (click)="buyOffer(offer.id)">Buy</button>
        </div>
      </div>
    </div>
    <div ngClass="padded" *ngIf="offers.length > 0" nz-row nzType="flex" nzAlign="middle" nzJustify="end">
      <div nz-col>
        <nz-pagination [(nzPageIndex)]="page" [nzTotal]="totalEntries"></nz-pagination>
      </div>
    </div>
  </nz-spin>
</div>